{% for host in hostnames %}
# HTTPS Proxy for {{ host.record }}.{{ host.zone | default(traefik_default_domain) }}
{% endfor %}

http:
  routers:
{% if traefik_access_level != "lan" %}
    {{ traefik_service_name }}-{{ traefik_access_level }}:
{% if custom_rule is defined %}
      rule: "{{ custom_rule }}"
{% else %}
      rule: "{% for host in hostnames %}{% if not loop.first %} || {% endif %}Host(`{{ host.record }}.{{ host.zone | default(traefik_default_domain) }}`){% endfor %}"
{% endif %}
{% if traefik_middleware_noauth is defined and traefik_access_level == "public" %}
      middlewares:
{% for mw in (traefik_middleware_noauth if traefik_middleware_noauth is not string else [traefik_middleware_noauth]) %}
        - {{ mw }}
{% endfor %}
{% elif traefik_middleware_trusted is defined and traefik_access_level == "trusted" %}
      middlewares:
{% for mw in (traefik_middleware_trusted if traefik_middleware_trusted is not string else [traefik_middleware_trusted]) %}
        - {{ mw }}
{% endfor %}
{% elif traefik_middleware_private is defined %}
      middlewares:
{% for mw in (traefik_middleware_private if traefik_middleware_private is not string else [traefik_middleware_private]) %}
        - {{ mw }}
{% endfor %}
{% endif %}
      tls:
        certResolver: {{ traefik_cert_resolver }}
{% if custom_domains is defined %}
        domains:
{% for domain in custom_domains %}
          - {{ domain | to_nice_yaml(indent=2) | trim | indent(12) }}
{% endfor %}
{% endif %}
      service: {{ traefik_service_name }}
{% endif %}
{% if traefik_disable_lan_bypass is undefined or not traefik_disable_lan_bypass %}
    {{ traefik_service_name }}-lan:
{% if custom_rule is defined %}
      rule: "({{ custom_rule }}) && ClientIP(`10.0.0.0/8`, `100.64.0.0/10`, `172.16.0.0/12`, `192.168.0.0/16`)"
{% else %}
      rule: "({% for host in hostnames %}{% if not loop.first %} || {% endif %}Host(`{{ host.record }}.{{ host.zone | default(traefik_default_domain) }}`){% endfor %}) && ClientIP(`10.0.0.0/8`, `100.64.0.0/10`, `172.16.0.0/12`, `192.168.0.0/16`)"
{% endif %}
{% if traefik_middleware_noauth is defined %}
      middlewares:
{% for mw in (traefik_middleware_noauth if traefik_middleware_noauth is not string else [traefik_middleware_noauth]) %}
        - {{ mw }}
{% endfor %}
{% endif %}
      tls:
        certResolver: {{ traefik_cert_resolver }}
{% if custom_domains is defined %}
        domains:
{% for domain in custom_domains %}
          - {{ domain | to_nice_yaml(indent=2) | trim | indent(12) }}
{% endfor %}
{% endif %}
      service: {{ traefik_service_name }}
{% endif %}
{% if traefik_disable_service is undefined or not traefik_disable_service %}
  services:
    {{ traefik_service_name }}:
      loadBalancer:
        servers:
{% for server in (traefik_endpoint_server if traefik_endpoint_server is not string else [traefik_endpoint_server]) %}
          - url: "{{ server }}"
{% endfor %}
{% endif %}
